Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000983I6 LibraryGeneralpublic2012-08-08 16:302015-05-10 17:47
ReporterDavidG 
Assigned ToDavidG 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version6/11 
Target Version6/12Fixed in Version6/12 
Summary0000983: OOPS sometimes changes wrong word
DescriptionOriginally reported by Mark Tilford as Issue L61128

The OOPS command doesn't necessarily change the faulty word. In the examples below, 'ZZZ' should be corrected to 'RUBY'. This happens in the first example, but not the second.

  You can see a pearl ring and a ruby ring here.

  >TRACE 2
  [Parser tracing set to level 2.]

  >EXAMINE ZZZ RING
  [ "examine" examine / "zzz" ? / "ring" ring ]
  [Parsing for the verb 'examine' (1 lines)]

  [line 0 * noun -> Examine]
   [line 0 token 1 word 2 : noun]
  You can't see any such thing.

  >OOPS RUBY
  [ "examine" examine / "ruby" ruby / "ring" ring ]
  [Parsing for the verb 'examine' (1 lines)]

  [line 0 * noun -> Examine]
   [line 0 token 1 word 2 : noun]
   [line 0 token 2 word 4 : END]
  [Line successfully parsed]
  You see nothing special about the ruby ring.

  >EXAMINE RING ZZZ
  [ "examine" examine / "ring" ring / "zzz" ? ]
  [Parsing for the verb 'examine' (1 lines)]

  [line 0 * noun -> Examine]
   [line 0 token 1 word 2 : noun]
  You can't see any such thing.

  >OOPS RUBY
  [ "examine" examine / "ruby" ruby / "zzz" ? ]
  [Parsing for the verb 'examine' (1 lines)]

  [line 0 * noun -> Examine]
   [line 0 token 1 word 2 : noun]
   [line 0 token 2 word 3 : END]
  I only understood you as far as wanting to examine the ruby ring.

  >
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0002798)
DavidG (developer)
2014-05-19 05:34

https://web.archive.org/web/20110420031113/http://www.inform-fiction.org/patches/L61128.html [^]
(0002948)
DavidG (developer)
2014-07-18 19:59
edited on: 2014-07-18 20:00

Nathan tells me that the bug is present as far back as 6/1. I ported a test program to Inform5 and found that the bug exists there too. I'm thinking that I should just let this bug slide.

(0002950)
DavidG (developer)
2014-07-20 16:16

Nathan Schwartzman provided a partial fix: https://github.com/DavidGriffith/inform6lib/commit/b0f3d36eb4b1bbe7e1940affc0b1af7b367e7450 [^]

This corrects misbehavior of
    X THE BRIGHT SHININF LAMP
    OOPS SHINING
But not:
    X KEY ZZZ
    OOPS GOLD
(0002955)
DavidG (developer)
2014-07-22 14:38

Thanks again, Nathan.
https://github.com/DavidGriffith/inform6lib/commit/5efe36f230008a4aed881111603437199d064914 [^]
(0003605)
jmcgrew (administrator)
2015-05-10 17:47

Closing all resolved issues from 2014 and earlier.

- Issue History
Date Modified Username Field Change
2012-08-08 16:30 DavidG New Issue
2012-10-07 18:16 DavidG Assigned To => DavidG
2012-10-07 18:16 DavidG Status new => assigned
2014-05-19 05:34 DavidG Note Added: 0002798
2014-07-18 19:59 DavidG Note Added: 0002948
2014-07-18 20:00 DavidG Note Edited: 0002948 View Revisions
2014-07-19 02:28 DavidG Status assigned => resolved
2014-07-19 02:28 DavidG Resolution open => won't fix
2014-07-20 16:16 DavidG Note Added: 0002950
2014-07-20 16:17 DavidG Status resolved => confirmed
2014-07-22 14:38 DavidG Note Added: 0002955
2014-07-22 14:38 DavidG Status confirmed => resolved
2014-07-22 14:38 DavidG Fixed in Version => 6/12
2014-07-22 14:38 DavidG Resolution won't fix => fixed
2015-05-10 17:47 jmcgrew Note Added: 0003605
2015-05-10 17:47 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker